> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# रीट्वीट

> रीट्वीट करें, रीट्वीट वापस लें, और रीट्वीट से जुड़ी जानकारी प्राप्त करें

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Retweets एंडपॉइंट्स आपको रीट्वीट करने और रीट्वीट वापस लेने, यह देखने कि किसी पोस्ट को किसने रीट्वीट किया, और अपनी खुद की पोस्ट्स के रीपोस्ट पाने की सुविधा देते हैं.

<div id="overview">
  ## अवलोकन
</div>

<CardGroup cols={2}>
  <Card title="रीट्वीट" icon="retweet">
    किसी उपयोगकर्ता की ओर से किसी पोस्ट को रीट्वीट करें
  </Card>

  <Card title="रीट्वीट वापस लें" icon="xmark">
    रीट्वीट हटाएँ
  </Card>

  <Card title="रीट्वीट करने वाले उपयोगकर्ता" icon="users">
    देखें कि किसी पोस्ट को किसने रीट्वीट किया
  </Card>

  <Card title="मेरे रीपोस्ट" icon="repeat">
    अपनी पोस्ट्स के रीपोस्ट प्राप्त करें
  </Card>
</CardGroup>

***

<div id="endpoints">
  ## एंडपॉइंट्स
</div>

<div id="retweets-lookup">
  ### रीट्वीट लुकअप
</div>

| मेथड | एंडपॉइंट                                                         | विवरण                                                        |
| :--- | :--------------------------------------------------------------- | :----------------------------------------------------------- |
| GET  | [`/2/tweets/:id/retweeted_by`](/hi/x-api/posts/get-reposted-by)  | किसी पोस्ट को रीट्वीट करने वाले उपयोगकर्ताओं को प्राप्त करें |
| GET  | [`/2/tweets/:id/quote_tweets`](/hi/x-api/posts/get-quoted-posts) | किसी पोस्ट को उद्धृत करने वाले पोस्ट्स प्राप्त करें          |
| GET  | [`/2/users/reposts_of_me`](/hi/x-api/users/get-reposts-of-me)    | प्रमाणीकृत उपयोगकर्ता की पोस्ट्स के रीपोस्ट्स प्राप्त करें   |

<div id="manage-retweets">
  ### रीट्वीट प्रबंधित करें
</div>

| विधि   | एंडपॉइंट                                                           | विवरण                      |
| :----- | :----------------------------------------------------------------- | :------------------------- |
| POST   | [`/2/users/:id/retweets`](/hi/x-api/users/repost-post)             | किसी पोस्ट को रीट्वीट करें |
| DELETE | [`/2/users/:id/retweets/:tweet_id`](/hi/x-api/users/unrepost-post) | रीट्वीट वापस लें           |

***

<div id="example-get-retweeting-users">
  ## उदाहरण: रीट्वीट करने वाले उपयोगकर्ता प्राप्त करें
</div>

```bash theme={null}
curl "https://api.x.com/2/tweets/1234567890/retweeted_by?\
user.fields=username,verified" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

<div id="example-retweet-a-post">
  ## उदाहरण: किसी पोस्ट को रीट्वीट करें
</div>

```bash theme={null}
curl -X POST "https://api.x.com/2/users/123456789/retweets" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"tweet_id": "1234567890"}'
```

***

<div id="getting-started">
  ## शुरुआत करें
</div>

<Note>
  **पूर्वापेक्षाएँ**

  * एक स्वीकृत [डेवलपर खाता](https://developer.x.com/en/portal/petition/essential/basic-info)
  * डेवलपर कंसोल में एक [Project और ऐप](/hi/resources/fundamentals/developer-apps)
  * आपके ऐप की [कीज़ और टोकन](/hi/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="लुकअप के लिए त्वरित शुरुआत" icon="retweet" href="/hi/x-api/posts/retweets/quickstart/retweets-lookup">
    किसी पोस्ट के रीट्वीट प्राप्त करें
  </Card>

  <Card title="प्रबंधन के लिए त्वरित शुरुआत" icon="plus" href="/hi/x-api/posts/retweets/quickstart/manage-retweets">
    रीट्वीट करें और रीट्वीट वापस लें
  </Card>

  <Card title="मेरे रीपोस्ट" icon="repeat" href="/hi/x-api/posts/retweets/quickstart/retweets-of-me">
    अपने पोस्ट्स के रीपोस्ट प्राप्त करें
  </Card>

  <Card title="API संदर्भ" icon="code" href="/hi/x-api/posts/retweeted-by">
    एंडपॉइंट का पूरा दस्तावेज़ीकरण
  </Card>
</CardGroup>
